NVIDIA settings won't write to /etc/xorg

Bug #1822937 reported by Jonas Gamao on 2019-04-03
48
This bug affects 10 people
Affects Status Importance Assigned to Milestone
nvidia-settings (Ubuntu)
Medium
Alberto Milone
Disco
Medium
Alberto Milone

Bug Description

I tried running it with root (`sudo nvidia-settings`) and without.

I also generated an xorg file with `nvidia-xconfig`, and do the same thing, but it still won't work.

ProblemType: Bug
DistroRelease: Ubuntu 19.04
Package: nvidia-settings 418.56-0ubuntu1
ProcVersionSignature: Ubuntu 5.0.0-8.9-generic 5.0.1
Uname: Linux 5.0.0-8-generic x86_64
NonfreeKernelModules: nvidia_modeset nvidia
ApportVersion: 2.20.10-0ubuntu23
Architecture: amd64
CurrentDesktop: KDE
Date: Wed Apr 3 00:33:48 2019
InstallationDate: Installed on 2019-04-02 (0 days ago)
InstallationMedia: Kubuntu 19.04 "Disco Dingo" - Alpha amd64 (20190326.1)
SourcePackage: nvidia-settings
UpgradeStatus: No upgrade log present (probably fresh install)

Jonas Gamao (yamiyukisenpai) wrote :
Sebastien Bacher (seb128) wrote :

Thank you for your bug report. The issue seems similar to the one discussed on https://discourse.ubuntu.com/t/ubuntu-19-04-and-nvidia-settings/10580

Do you get a prompt if you use "pkexec ls"?

Changed in nvidia-settings (Ubuntu):
importance: Undecided → Low
status: New → Incomplete
Doug McMahon (mc3man) wrote :

What one would see from terminal (pkexec ls works fine)

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 175, in activate_name_owner
    return self.get_name_owner(bus_name)
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 361, in get_name_owner
    's', (bus_name,), **keywords)
  File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name 'com.ubuntu.ScreenResolution.Mechanism': no such name

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/share/screen-resolution-extra/nvidia-polkit.py", line 75, in <module>
    operation_status = main(options)
  File "/usr/share/screen-resolution-extra/nvidia-polkit.py", line 42, in main
    conf = get_xkit_service()
  File "/usr/share/screen-resolution-extra/nvidia-polkit.py", line 33, in get_xkit_service
    service_object = dbus.SystemBus().get_object(SERVICE_NAME, OBJECT_PATH)
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 241, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python3/dist-packages/dbus/proxies.py", line 248, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 180, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 278, in start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ExecFailed: Cannot launch daemon, file not found or permissions invalid

ERROR: Unable to open X config file '/etc/X11/xorg.conf' for writing.

Changed in nvidia-settings (Ubuntu):
status: Incomplete → New
Sebastien Bacher (seb128) wrote :

what's the output of "dpkg -l | grep screen-resolution-extra"?

Doug McMahon (mc3man) wrote :

ii screen-resolution-extra 0.17.4 all Extension for the GNOME screen resolution applet

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nvidia-settings (Ubuntu):
status: New → Confirmed
Mike Kasberg (mkasberg) wrote :

This bug also affects me on 19.04.

Moreover, I am able to reproduce the bug no matter where I try to save: Unable to open X config file '/home/mkasberg/Desktop/mike-nvidia-xconfig.conf' for writing.

Changed in nvidia-settings (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-settings (Ubuntu):
status: Confirmed → In Progress
Changed in nvidia-settings (Ubuntu Disco):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
Changed in nvidia-settings (Ubuntu):
importance: Low → Medium
Changed in nvidia-settings (Ubuntu Disco):
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-settings - 418.56-0ubuntu2

---------------
nvidia-settings (418.56-0ubuntu2) eoan; urgency=medium

  * debian/patches/05_add_polkit_support.patch:
    - Use pkexec and call the new binary provided by
      screen-resolution-extra (LP: #1822937).
  * debian/control:
    - Depend on screen-resolution-extra (>= 0.18~).

 -- Alberto Milone <email address hidden> Tue, 21 May 2019 15:20:46 +0200

Changed in nvidia-settings (Ubuntu):
status: In Progress → Fix Released
Nils Nilsson (persson1589) wrote :

The bug was fixed in nvidia-settings 418.56, but I am using the nvidia 1650 gpu and the 418.56 driver doesn't support my gpu. Will the fix be released for the 430 driver as well?

@Nils: which Ubuntu version are you running? nvidia-settings should work correctly in Ubuntu 19.10 (regardless of whether you are running the 430 driver, or the 435 driver, etc.)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers